// ===================================================================
// $Id: subdivm.h $
//
// subdvim.h
//      definition of subdivision modes for KD-trees
//
// Class:
//
// REPLACEMENT_STRING
//
// Copyright by Vlastimil Havran, 2007 - email to "vhavran AT seznam.cz"
// Initial coding by Vlasta Havran, 1999

#ifndef __SUBDIVM_H__
#define __SUBDIVM_H__

// GOLEM headers
#include "configh.h"

namespace GtpVisibilityPreprocessor {

// ------------------------------------------------------------------
// The enumeration of subdivision modes for termination criteria
// when the KD-tree construction should be stopped
enum ESubdivMode
{
  // the termination criteria used at present
  EE_SUBDIVADHOC = 0, // ad-hoc termination criteria are used, maximum height
                      // and the number of objects in leaves
  EE_SUBDIVCUTEMPTY = 1, // late cutting off empty space in leaves is performed
  EE_SUBDIVAUTOMATIC = 2, // automatic termination criteria are used
};

}

#endif //  __SUBDIVM_H__
